### Method

# Gtk Widget is_visible

#### Declaration [src]

    gboolean
    gtk_widget_is_visible (
      GtkWidget* widget
    )

#### Description [src]

Determines whether the widget and all its parents are marked as visible.

This function does not check if the widget is obscured in any way.

See also gtk_widget_get_visible() and gtk_widget_set_visible().

#### Return value

Returns: | `gboolean`
| `TRUE` if the widget and all its parents are visible.